Bug 1491345 (CVE-2017-14325) - CVE-2017-14325 ImageMagick: Memory leak in the PersistPixelCache function
Summary: CVE-2017-14325 ImageMagick: Memory leak in the PersistPixelCache function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14325
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1488981
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 14:21 UTC by Andrej Nemec
Modified: 2019-09-29 14:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:25:26 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-13 14:21:49 UTC
In ImageMagick 7.0.7-1 Q16, a memory leak vulnerability was found in the function PersistPixelCache in magick/cache.c, which allows attackers to cause a denial of service (memory consumption in ReadMPCImage in coders/mpc.c) via a crafted file.

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/741

Upstream patches:

https://github.com/ImageMagick/ImageMagick/commit/44a55580ac8c01d8cff1e6e0063820af113f8591
https://github.com/ImageMagick/ImageMagick/commit/7de19606bc006d2013b0b56cfe182f5e4fe510e2

Comment 1 Andrej Nemec 2017-09-13 14:23:51 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1488981]


Note You need to log in before you can comment on or make changes to this bug.